## devhelp 3.36.1

=== meson_options.txt ===
option('flatpak_build', type : 'boolean', value : false, description : 'Flatpak build mode')
option('gtk_doc', type : 'boolean', value : false, description : 'Build the API reference')

## devhelp 2.30.1

=== debian/changelog ===
devhelp (2.30.1-1) unstable; urgency=low

  * New upstream stable release.
  * debian/rules
    - The gnome.mk cdbs class file already includes autotools.mk, so there is
      no need to include it a second time ourselves.
  * debian/control.in
    - Add Vcs-* fields.
    - Drop Build-Depends on dpkg-dev (>= 1.13.19) as even oldstable has a
      more recent version.
    - Bump Standards-Version to 3.9.0. No further changes.
    - Bump Build-Depends on libglib2.0-dev to (>= 2.10.0).

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Jul 2010 20:17:19 +0200

devhelp (2.30.0-1) unstable; urgency=low

  * New upstream release.
    - Add fullscreen mode. Closes: #491981.
    - Expanding items in the sidebar no longer expands the first one.
      Closes: #551473.
    - debian/rules:
      + Bump shlibs version for the new API.
  * debian/watch: Only track stable releases.
  * debian/control.in,
    debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 05 Apr 2010 19:35:27 +0200

devhelp (2.28.1-1) unstable; urgency=low

  * New upstream bug fix release.

 -- Andrea Veri <andrea.veri89@gmail.com>  Thu, 22 Oct 2009 12:45:39 +0200

devhelp (2.28.0.1-1) unstable; urgency=low

  * New upstream release.
  * Remove build dependency on libsoup2.4-1, it was to workaround a too weak
    dependency in libwebkit-1.0-2 because of an unbumped shlibs in libsoup.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 27 Sep 2009 13:05:28 +0200

devhelp (2.27.92-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/devhelp.postrm: Removed, it only rmdirs the /etc directories
    on purge, but that was to workaround a bug in dpkg. See e.g. #198128.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/control.in: Remove old Conflicts/Replaces no longer needed.

  [ Andrea Veri ]
  * New upstream release. Devhelp gonna use a completely new
    versioning to follow GNOME's way.
    - New tabs should not steal focus. (Closes: #499274)
  * debian/control:
   - added homepage field.
   - added a B-D on libunique-dev, needed to the configure run to
     work properly.
   - libwebkit B-D bumped to >= 1.1.14, this is a new require for 
     the new upstream release. (we need to upload this package to
     experimental cause of this)
   - added a B-D on libsoup2.4-0 (>= 2.27.92) to fix a FTBFS cause
     a broken dependency on the webkit shared library. 
   - bumped libdevhelp binary to libdevhelp-1-1 to prevent a breakage
     after the soname change.
   - changed libdevhelp-1-dev dependency on libdevhelp-1-0 to
     libdevhelp-1-0 because of the package rename.
   - removed chrpath B-D, it's no more needed.
  * debian/libdevhelp-1-0.install:
    - renamed to libdevhelp-1-1.install since the package name changed.
  * debian/patches/01_do_not_clober_global_w_on_el.patch:
    - removed, applied upstream.
  * debian/patches/03html2diff_close_sub.patch:
    - removed, applied upstream.
  * debian/patches/series:
    - updated
  * debian/rules:
    - removed all chrpath's calls, it seems they are no no more needed.
      Thanks Emilio for the hint on this.
    - bumped libdevhelp shlibs version to 2.27.92, since the library changed
      the API.
  * debian/copyright:
    - added missing copyright holders.
    - added missing LGPL header.

  [ Emilio Pozuelo Monfort ]
  * debian/devhelp.preinst: Removed, oldstable has a greater version than
    0.6.0.
  * debian/rules:
    - Stop symlinking devhelp-bin.1 to devhelp.1, there's not a devhelp-bin
      binary anymore.
    - rm -f ignores non-existent files, no need to tell make to ignore errors.
    - Stop creating a debian/shlibs.local file to have stricter dependencies,
      the dependencies are fine without it and it was added to workaround
      another bug.
  * Install the GConf schemas in devhelp-common instead of in libdevhelp-1-1.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 18 Sep 2009 19:47:40 +0200

devhelp (0.23.1-1) unstable; urgency=low

  [ Loïc Minier ]
  * Bump Standards-Version to 3.8.2, no change needed.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - debian/patches/05_fix_anchor_loads.patch,
      debian/patches/60_deprecated-g-mapped-file-free.patch:
      Removed, fixed upstream.
  * debian/devhelp.1: escape a dash.

 -- Josselin Mouette <joss@debian.org>  Tue, 18 Aug 2009 23:34:20 +0200

devhelp (0.23-4) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Add headers to patches.
  * debian/patches/04_close_correct_tab.patch: Removed, doesn't work.
    Bug forwarded to BGO: #587987.

  [ Loïc Minier ]
  * Don't hardcode libdevhelp-1's SONAME.
  * New patch, 60_deprecated-g-mapped-file-free, use g_mapped_file_unref()
    instead of deprecated g_mapped_file_free(); GNOME #588655
  * Add description to patch 00install-devhelp-el.
  * Binaries devhelp and devhelp-common are Section: devel like their source,
    don't repeat Section field.

 -- Loïc Minier <lool@dooz.org>  Fri, 17 Jul 2009 11:28:05 +0200

devhelp (0.23-3) unstable; urgency=low

  * debian/patches/05_fix_anchor_loads.patch:
  - imported from upstream git repository, to fix loading files with
    anchors on their URIs

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 29 Jun 2009 21:57:16 -0300

devhelp (0.23-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Remove mention of Gecko in the description. It's not relevant and we
    use webkit anyway. Closes: #519492.

  [ Josselin Mouette ]
  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sun, 28 Jun 2009 18:37:09 +0200

devhelp (0.23-1) experimental; urgency=low

  * New upstream release.
  * Bump libgtk2.0-dev Build-Depends.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 25 Jan 2009 22:32:01 +0000

devhelp (0.22-1) experimental; urgency=low

  [ Loic Minier ]
  * Fix bogus checks in preinst and clean it up.

  [ Bradley Smith ]
  * New upstream release.
  * debian/patches


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: devhelp
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Josselin Mouette <joss@debian.org>, Loïc Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>
Homepage: http://live.gnome.org/devhelp
Build-Depends: cdbs,
               debhelper (>= 5),
               intltool,
               libgtk2.0-dev (>= 2.14.7),
               libglade2-dev (>= 1:2.4.0),
               libgconf2-dev (>= 2.6.0),
               libwebkit-dev (>= 1.1.13),
               libwnck-dev (>= 2.14.1),
               libxml-parser-perl,
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.10.0),
               python-dev,
               python-support (>= 0.3),
               libunique-dev (>= 1.1)
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/devhelp/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/devhelp/

Package: libdevhelp-1-1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         devhelp-common (= ${source:Version})
Description: Library providing documentation browser functionality
 This library provides embedable widgets from the Devhelp program to
 be integrated in tools like the Anjuta IDE for browsing API reference
 documentation.

Package: libdevhelp-1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgtk2.0-dev (>= 2.8.17-1),
         libdevhelp-1-1 (= ${binary:Version}),
         libwnck-dev (>= 2.14.1),
         libgconf2-dev (>= 2.6.0),
         libwebkit-dev,
         libglade2-dev (>= 1:2.4.0-1)
Description: Library providing documentation browser functionality (development)
 This library provides embedable widgets from the Devhelp program to
 be integrated in tools like the Anjuta IDE for browsing API reference
 documentation.
 .
 This package contains the development files.

Package: devhelp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgtk2.0-doc (>= 2.2.0),
            libglib2.0-doc (>= 2.2.0),
            libpango1.0-doc
Description: A GNOME developers help program
 Devhelp's primary goal is to be an API documentation browser for GNOME.
 It is able to scan for .devhelp files generated automatically for
 packages that use gtk-doc-tools to generate documentation for libraries
 and programs.
 .
 Devhelp provides Bonobo functionality, which is used to allow command-line
 searches, emacs integration and embedding in applications like the Anjuta IDE.

Package: devhelp-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Replaces: libdevhelp-1-0 (<< 2.27.92-1)
Description: common files for devhelp and its library
 Devhelp's primary goal is to be an API documentation browser for GNOME.
 It is able to scan for .devhelp files generated automatically for
 packages that use gtk-doc-tools to generate documentation for libraries
 and programs.
 .
 Devhelp provides Bonobo functionality, which is used to allow command-line
 searches, emacs integration and embedding in applications like the Anjuta IDE.
 .
 This package provides internationalization files, mainly.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

libdevhelp-1-N := $(shell sed -rn 's/^Package:[[:space:]]*(libdevhelp-1-[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_ALL += -V '$(libdevhelp-1-N) (>= 2.30)'

X_TOOLS += misc/devhelp.vim \
	misc/html2funcs.py \
	misc/html2xml.py \
	misc/man2xml.py

clean::
	rm -f debian/devhelp.emacsen-startup
	rm -f src/dh-marshal.h

binary-install/devhelp-common::
	dh_pysupport -p$(cdbs_curpkg) /usr/lib/gedit-2/plugins/devhelp

binary-post-install/devhelp::
	install -d `pwd`/debian/devhelp/usr/share/pixmaps/
	install -m 644 debian/devhelp-debian.xpm \
		`pwd`/debian/devhelp/usr/share/pixmaps/
	install -d `pwd`/debian/devhelp/usr/share/doc/devhelp/tools/
	install -m 644 $(X_TOOLS) \
		`pwd`/debian/devhelp/usr/share/doc/devhelp/tools/

pre-build::
	cp misc/devhelp.el debian/devhelp.emacsen-startup

## devhelp 2.32.0

=== debian/changelog ===
devhelp (2.32.0-0ubuntu2) natty; urgency=low

  * debian/control.in: Update build and binary dependencies for current
    webkit.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Jan 2011 10:47:12 -0600

devhelp (2.32.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Use standards-version 3.9.1
    - Add Vcs-Bzr link
    - Rename packages from devhelp-1 to devhelp-2
  * debian/patches/00git-reenable-glib-deprecated.patch:
  * debian/patches/ftbfs-drop-gtknotebookpage.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 29 Nov 2010 16:36:30 +1100

devhelp (2.30.1-1ubuntu2) maverick; urgency=low

  * debian/patches/ftbfs-drop-gtknotebookpage.patch:
    - Patch taken from upstream that fixes compilation with latest GTK+
      LP: #651255

 -- Michael Terry <mike@mterry.name>  Wed, 29 Sep 2010 11:49:55 -0400

devhelp (2.30.1-1ubuntu1) maverick; urgency=low

  * 00git-reenable-glib-deprecated.patch: Do not disable deprecated glib
    symbols. This brings back the g_completion_* declarations. Cherrypicked
    from upstpream trunk.  (LP: #600189)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Aug 2010 11:19:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: devhelp
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Josselin Mouette <joss@debian.org>, Loïc Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: http://live.gnome.org/devhelp
 Build-Depends: cdbs,
                debhelper (>= 5),
@@ -15,7 +16,7 @@
                libgtk2.0-dev (>= 2.14.7),
                libglade2-dev (>= 1:2.4.0),
                libgconf2-dev (>= 2.6.0),
-               libwebkit-dev (>= 1.1.13),
+               libwebkitgtk-dev,
                libwnck-dev (>= 2.14.1),
                libxml-parser-perl,
                gnome-pkg-tools,
@@ -23,11 +24,10 @@
                python-dev,
                python-support (>= 0.3),
                libunique-dev (>= 1.1)
-Standards-Version: 3.9.0
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/devhelp/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/devhelp/
+Standards-Version: 3.9.1
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/devhelp/ubuntu
 
-Package: libdevhelp-1-1
+Package: libdevhelp-2-1
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
@@ -38,15 +38,15 @@
  be integrated in tools like the Anjuta IDE for browsing API reference
  documentation.
 
-Package: libdevhelp-1-dev
+Package: libdevhelp-2-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
          libgtk2.0-dev (>= 2.8.17-1),
-         libdevhelp-1-1 (= ${binary:Version}),
+         libdevhelp-2-1 (= ${binary:Version}),
          libwnck-dev (>= 2.14.1),
          libgconf2-dev (>= 2.6.0),
-         libwebkit-dev,
+         libwebkitgtk-dev,
          libglade2-dev (>= 1:2.4.0-1)
 Description: Library providing documentation browser functionality (development)
  This library provides embedable widgets from the Devhelp program to

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-libdevhelp-1-N := $(shell sed -rn 's/^Package:[[:space:]]*(libdevhelp-1-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
+libdevhelp-2-N := $(shell sed -rn 's/^Package:[[:space:]]*(libdevhelp-2-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
-DEB_DH_MAKESHLIBS_ARGS_ALL += -V '$(libdevhelp-1-N) (>= 2.30)'
+DEB_DH_MAKESHLIBS_ARGS_ALL += -V '$(libdevhelp-2-N) (>= 2.30)'
 
 X_TOOLS += misc/devhelp.vim \
 	misc/html2funcs.py \

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/devhelp/([\d\.]+)[02468]/devhelp-(.*)\.tar\.gz

## devhelp 3.0.0

=== debian/changelog ===
devhelp (3.0.0-2) unstable; urgency=low

  * debian/watch: Switch to .bz2 tarballs.
  * debian/control: Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jul 2011 21:35:48 +0200

devhelp (3.0.0-1) experimental; urgency=low

  * New upstream release.

  [ Emilio Pozuelo Monfort ]

  * debian/control.in
    + Update the gtk+ 3 package names everywhere. Closes: #619148.

  [ Frederic Peters ]

  * debian/control.in:
    + Updated devhelp package description to not talk about Bonobo.

 -- Frederic Peters <fpeters@debian.org>  Thu, 14 Apr 2011 17:51:59 +0200

devhelp (2.91.90-1) experimental; urgency=low

  * New upstream release.
    + Update for the new gtk+ 3 package names.
    + debian/control: update policy to 3.9.1.
    + debian/rules, debian/devhelp-common.install: update for new gedit plugin
      (requires a gedit >= 2.90).

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Feb 2011 20:26:14 +0100

devhelp (2.91.5-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in,
      debian/libdevhelp*.install:
      - Rename libdevhelp-1-1 to libdevhelp-3-0 because of the new SONAME.
      - Rename libdevhelp-1-dev to libdevhelp-dev. It's not like we're going
        to support multiple libdevhelps ever.
    + debian/control.in:
      - Update build dependencies and dependencies.
      - Relax the shared library package dependency on devhelp-common to
        allow multiple libdevhelps to be installed in parallel (to ease
        transitions when the SONAME changes).
    + debian/*.install:
      - Simplified.
    + debian/control.in,
      debian/compat:
      - Switch to debhelper compat 8.
    + debian/libdevhelp-3-0.symbols:
      - Add a symbols file.
    + debian/rules:
      - Make the shlibs file always depend on the latest upstream version.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 18 Jan 2011 23:29:37 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: devhelp
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: http://live.gnome.org/devhelp
Build-Depends: cdbs,
               debhelper (>= 8),
               gnome-pkg-tools,
               intltool,
               libglib2.0-dev (>= 2.25.11),
               libgtk-3-dev (>= 3.0.0),
               libgconf2-dev (>= 2.6.0),
               libwebkitgtk-3.0-dev,
               libxml-parser-perl,
               python-dev,
               python-support (>= 0.3),
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/devhelp/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/devhelp/

Package: libdevhelp-3-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         devhelp-common (>= ${source:Version})
Description: Library providing documentation browser functionality
 This library provides embedable widgets from the Devhelp program to
 be integrated in tools like the Anjuta IDE for browsing API reference
 documentation.

Package: libdevhelp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libdevhelp-3-0 (= ${binary:Version}),
         libgtk-3-dev,
         libwebkitgtk-3.0-dev
Description: Library providing documentation browser functionality (development)
 This library provides embedable widgets from the Devhelp program to
 be integrated in tools like the Anjuta IDE for browsing API reference
 documentation.
 .
 This package contains the development files.

Package: devhelp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgtk-3-doc,
            libglib2.0-doc,
            libpango1.0-doc
Description: GNOME developers help program
 Devhelp's primary goal is to be an API documentation browser for GNOME.
 It is able to scan for .devhelp files generated automatically for
 packages that use gtk-doc-tools to generate documentation for libraries
 and programs.
 .
 Devhelp provides some integration capabilities, which is used to allow
 command-line searches, emacs integration and embedding in applications like
 the Anjuta IDE.

Package: devhelp-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Replaces: libdevhelp-1-0 (<< 2.27.92-1)
Description: Common files for devhelp and its library
 Devhelp's primary goal is to be an API documentation browser for GNOME.
 It is able to scan for .devhelp files generated automatically for
 packages that use gtk-doc-tools to generate documentation for libraries
 and programs.
 .
 Devhelp provides Bonobo functionality, which is used to allow command-line
 searches, emacs integration and embedding in applications like the Anjuta IDE.
 .
 This package provides internationalization files, mainly.

## devhelp 3.2.0

=== debian/changelog ===
devhelp (3.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Sep 2011 08:55:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: http://live.gnome.org/devhelp
 Build-Depends: cdbs,
                debhelper (>= 8),

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,9 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-libdevhelp-2-N := $(shell sed -rn 's/^Package:[[:space:]]*(libdevhelp-2-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
-
-DEB_DH_MAKESHLIBS_ARGS_ALL += -V '$(libdevhelp-2-N) (>= 2.30)'
+DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4
 
 X_TOOLS += misc/devhelp.vim \
 	misc/html2funcs.py \
@@ -20,7 +18,7 @@
 	rm -f src/dh-marshal.h
 
 binary-install/devhelp-common::
-	dh_pysupport -p$(cdbs_curpkg) /usr/lib/gedit-2/plugins/devhelp
+	dh_pysupport -p$(cdbs_curpkg) /usr/lib/gedit/plugins/devhelp
 
 binary-post-install/devhelp::
 	install -d `pwd`/debian/devhelp/usr/share/pixmaps/

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/devhelp/([\d\.]+[02468])/devhelp-(.*)\.tar\.bz2

## devhelp 3.4.1

=== debian/changelog ===
devhelp (3.4.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - Translation updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Apr 2012 14:29:09 +0200

devhelp (3.4.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - Fix compilation warnings with -Wunused-but-set-variable
    - Updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 27 Mar 2012 11:41:53 +0200

devhelp (3.3.91-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Should not use DISABLE_DEPRECATED in releases
    - Use of freed memory in dh_assistant_view_set_link()
    - Updated translation
  * debian/libdevhelp-3-0.symbols:
    - updated

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 05 Mar 2012 18:22:31 +0100

devhelp (3.3.3-1ubuntu1) precise; urgency=low

  * New upstream release
  * debian/watch: Watch for unstable .xz releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Dec 2011 22:26:49 -0500

devhelp (3.2.0-1ubuntu1) precise; urgency=low

  * Build using dh_python2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 11:21:12 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: devhelp
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: http://live.gnome.org/devhelp
 Build-Depends: cdbs,
                debhelper (>= 8),
@@ -18,8 +19,8 @@
                libgconf2-dev (>= 2.6.0),
                libwebkitgtk-3.0-dev,
                libxml-parser-perl,
-               python-dev,
-               python-support (>= 0.3),
+               python-dev (>= 2.6.6-3~),
+X-Python-Version: >= 2.5
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/devhelp/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/devhelp/

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/devhelp/([\d\.]+)/devhelp-(.*)\.tar\.xz

## devhelp 3.6.0

=== debian/changelog ===
devhelp (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Sep 2012 10:35:18 +1200

devhelp (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 18 Sep 2012 09:53:00 +1200

devhelp (3.5.5-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - soname bump
  * debian/control.in:
    - Bump minimum gtk and glib versions
  * debian/libdevhelp-3-1.symbols: Updated
  * debian/watch: Watch for unstable releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Aug 2012 22:40:10 -0400

devhelp (3.4.1-1) unstable; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Apr 2012 17:39:14 +0200

devhelp (3.4.0-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Update Vcs-* fields

  [ Matthias Klose ]
  * Build using dh_python2.

  [ Jeremy Bicha ]
  * debian/watch: Switch to .xz tarballs

  [ Michael Biebl ]
  * New upstream release.
  * debian/libdevhelp-3-0.symbols: Add new symbol.
  * debian/copyright: Update using machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Mar 2012 23:43:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,28 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: devhelp
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Homepage: http://live.gnome.org/devhelp
 Build-Depends: cdbs,
                debhelper (>= 8),
                gnome-pkg-tools,
                intltool,
-               libglib2.0-dev (>= 2.25.11),
-               libgtk-3-dev (>= 3.0.0),
+               libglib2.0-dev (>= 2.32),
+               libgtk-3-dev (>= 3.4.0),
                libgconf2-dev (>= 2.6.0),
                libwebkitgtk-3.0-dev,
                libxml-parser-perl,
-               python-dev (>= 2.6.6-3~),
-X-Python-Version: >= 2.5
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/devhelp/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/devhelp/
+               python-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.3
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/devhelp/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/devhelp/
 
-Package: libdevhelp-3-0
+Package: libdevhelp-3-1
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
@@ -40,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libdevhelp-3-0 (= ${binary:Version}),
+         libdevhelp-3-1 (= ${binary:Version}),
          libgtk-3-dev,
          libwebkitgtk-3.0-dev
 Description: Library providing documentation browser functionality (development)

## devhelp 3.6.1

=== debian/changelog ===
devhelp (3.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Nov 2012 11:46:30 +1300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Homepage: http://live.gnome.org/devhelp
 Build-Depends: cdbs,
                debhelper (>= 8),

## devhelp 3.8.2

=== debian/changelog ===
devhelp (3.8.2-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to update libtool.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 Dec 2013 01:20:25 +0000

devhelp (3.8.2-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Michael Biebl ]
  * Upload to unstable.
  * Build against webkit1 for now, webkit2 isn't ready yet.

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jul 2013 22:46:02 +0200

devhelp (3.8.2-1) experimental; urgency=low

  [ Thomas Bechtold ]
  * New upstream release

  [ Jeremy Bicha ]
  * debian/control.in:
    - Have -dev package depend on webkit2gtk too

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Bump libwebkit2gtk-3.0-dev build dependency to ensure we pick up
      the new SONAME.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 01 Jun 2013 20:49:22 +0200

devhelp (3.8.0-2) experimental; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in, debian/rules:
    - Use dh_python3 

  [ Thomas Bechtold ]
  * debian/rules: build against libwebkit2gtk
  * debian/control:
    - Build-Depends on libwebkit2gtk-3.0-dev (>= 1.10.0) for
      webkit2 according to configure.ac
    - Bump Standards-Version to 3.9.4

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 04 Apr 2013 13:20:00 +0200

devhelp (3.8.0-1) experimental; urgency=low

  [ Thomas Bechtold ]
  * New upstream release.
  * soname bump according to configure.ac
  * debian/libdevhelp-3-2.symbols: Updated symbols.
  * debian/control:
    - Bump libgtk-3-dev Build-Depends to >= 3.5.6 according to configure.ac.
    - Bump libglib2.0-dev Build-Depends to >= 2.32 according to configure.ac.
  * debian/rules: explicit don't build against webkit2
  * debian/devhelp-common.install:
    - etc is no longer needed
    - install gsettings schema
    - install gconf-to-gsettings convert file

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Update build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Mar 2013 12:38:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,24 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Homepage: http://live.gnome.org/devhelp
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
+Homepage: https://wiki.gnome.org/devhelp
 Build-Depends: cdbs,
                debhelper (>= 8),
+               dh-autoreconf,
                gnome-pkg-tools,
+               gnome-common,
                intltool,
                libglib2.0-dev (>= 2.32),
-               libgtk-3-dev (>= 3.4.0),
-               libgconf2-dev (>= 2.6.0),
-               libwebkitgtk-3.0-dev,
+               libgtk-3-dev (>= 3.5.6),
+               libwebkitgtk-3.0-dev (>= 1.6.0),
                libxml-parser-perl,
-               python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.3
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/devhelp/
+               python3-dev
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/devhelp/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/devhelp/
 
-Package: libdevhelp-3-1
+Package: libdevhelp-3-2
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
@@ -38,9 +39,9 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libdevhelp-3-1 (= ${binary:Version}),
-         libgtk-3-dev,
-         libwebkitgtk-3.0-dev
+         libdevhelp-3-2 (= ${binary:Version}),
+         libgtk-3-dev (>= 3.5.6),
+         libwebkitgtk-3.0-dev (>= 1.6.0)
 Description: Library providing documentation browser functionality (development)
  This library provides embedable widgets from the Devhelp program to
  be integrated in tools like the Anjuta IDE for browsing API reference
@@ -66,7 +67,7 @@
 
 Package: devhelp-common
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Replaces: libdevhelp-1-0 (<< 2.27.92-1)
 Description: Common files for devhelp and its library
  Devhelp's primary goal is to be an API documentation browser for GNOME.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
 
+export AUTOPOINT=intltoolize --automake --copy
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += --without-webkit2
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4
 
@@ -18,7 +22,7 @@
 	rm -f src/dh-marshal.h
 
 binary-install/devhelp-common::
-	dh_pysupport -p$(cdbs_curpkg) /usr/lib/gedit/plugins/devhelp
+	dh_python3 -p$(cdbs_curpkg) /usr/lib/gedit/plugins
 
 binary-post-install/devhelp::
 	install -d `pwd`/debian/devhelp/usr/share/pixmaps/
@@ -30,3 +34,4 @@
 
 pre-build::
 	cp misc/devhelp.el debian/devhelp.emacsen-startup
+	cd m4/ && ln -fs ../libgd/libgd.m4

## devhelp 3.12.1

=== debian/changelog ===
devhelp (3.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 May 2014 20:39:08 +0200

devhelp (3.12.0-2) unstable; urgency=medium

  * debian/control.in:
    + Make libdevhelp-dev depend on the libwebkit2gtk dev package
      rather than on the libwebkitgtk one as we have switched to
      that and that's what the pkg-config file requires.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Apr 2014 01:01:16 +0200

devhelp (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update homepage.
    - Build-Depend on libgtk-3-dev (>= 3.9.10),
      libwebkit2gtk-3.0-dev (>= 2.0.0) and libglib2.0-dev (>= 2.37.3)
      according to configure.ac.
    - Bump Standards-Version to 3.9.5. No further changes.
  * debian/rules: Remove configure flag "--without-webkit2". webkit2 is
    mandatory now.
  * debian/libdevhelp-3-2.symbols: Add one new symbol.

 -- Thomas Bechtold <toabctl@debian.org>  Thu, 27 Mar 2014 06:33:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,23 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: devhelp
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
-Homepage: https://wiki.gnome.org/devhelp
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Homepage: https://wiki.gnome.org/Apps/Devhelp
 Build-Depends: cdbs,
                debhelper (>= 8),
-               dh-autoreconf,
                gnome-pkg-tools,
-               gnome-common,
                intltool,
-               libglib2.0-dev (>= 2.32),
-               libgtk-3-dev (>= 3.5.6),
-               libwebkitgtk-3.0-dev (>= 1.6.0),
+               libglib2.0-dev (>= 2.37.3),
+               libgtk-3-dev (>= 3.9.10),
+               libwebkit2gtk-3.0-dev (>= 2.0.0),
                libxml-parser-perl,
                python3-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/devhelp/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/devhelp/
 
@@ -41,7 +39,7 @@
 Depends: ${misc:Depends},
          libdevhelp-3-2 (= ${binary:Version}),
          libgtk-3-dev (>= 3.5.6),
-         libwebkitgtk-3.0-dev (>= 1.6.0)
+         libwebkit2gtk-3.0-dev (>= 2.0.0)
 Description: Library providing documentation browser functionality (development)
  This library provides embedable widgets from the Devhelp program to
  be integrated in tools like the Anjuta IDE for browsing API reference

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,10 @@
 #!/usr/bin/make -f
 
-export AUTOPOINT=intltoolize --automake --copy
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
-
-DEB_CONFIGURE_EXTRA_FLAGS += --without-webkit2
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4
 
@@ -34,4 +30,3 @@
 
 pre-build::
 	cp misc/devhelp.el debian/devhelp.emacsen-startup
-	cd m4/ && ln -fs ../libgd/libgd.m4

## devhelp 3.14.0

=== debian/changelog ===
devhelp (3.14.0-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Build-depend on python3 rather than python3-dev. (Closes: 718818)

  [ Dimitri John Ledkov ]
  * Use dh-autoreconf to regenerate libtool & friends for new ports
    coverage (ppc64el). (Closes: 732750)

  [ Andreas Henriksson ]
  * New upstream release.
  * Bump build-dependency on libgtk-3-dev to >= 3.13.4
    - according to configure.ac changes

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 21:58:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: devhelp
 Section: devel
 Priority: optional
@@ -11,13 +10,15 @@
 Homepage: https://wiki.gnome.org/Apps/Devhelp
 Build-Depends: cdbs,
                debhelper (>= 8),
+               dh-autoreconf,
+               gnome-common,
                gnome-pkg-tools,
                intltool,
                libglib2.0-dev (>= 2.37.3),
-               libgtk-3-dev (>= 3.9.10),
+               libgtk-3-dev (>= 3.13.4),
                libwebkit2gtk-3.0-dev (>= 2.0.0),
                libxml-parser-perl,
-               python3-dev
+               python3
 Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/devhelp/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/devhelp/

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 
+export NOCONFIGURE=yes
+export DEB_DH_AUTORECONF_ARGS=./autogen.sh
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk

## devhelp 3.16.1

=== debian/changelog ===
devhelp (3.16.1-1ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:35:31 +0000

devhelp (3.16.1-1ubuntu1) wily; urgency=medium

  * Revert until this is dropped to universe or webkit2gtk is main: LP: #1459434
    - debian/control.in:
      + Switch to libwebkit2gtk-4.0-dev.
      + Break anjuta << 2:3.14.0-2 to prevent anjuta from mixing
        libwebkit2gtk-3.0 and libwebkit2gtk-4.0.

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 28 May 2015 06:41:15 +1000

devhelp (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete Replaces from pre-wheezy.
  * Update debian/copyright to reflect the current sources.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.6.
  * Drop obsolete clean rule.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 May 2015 01:05:21 +0200

devhelp (3.14.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: List not installed files
  * debian/devhelp.install: Install appdata file

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Switch to libwebkit2gtk-4.0-dev.
    + Break anjuta << 2:3.14.0-2 to prevent anjuta from mixing
      libwebkit2gtk-3.0 and libwebkit2gtk-4.0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 21 May 2015 21:23:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Source: devhelp
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Devhelp
 Build-Depends: cdbs,
-               debhelper (>= 8),
+               debhelper (>= 9),
                dh-autoreconf,
                gnome-common,
                gnome-pkg-tools,
@@ -19,7 +20,7 @@
                libwebkit2gtk-3.0-dev (>= 2.0.0),
                libxml-parser-perl,
                python3
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/devhelp/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/devhelp/
 
@@ -67,7 +68,6 @@
 Package: devhelp-common
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Replaces: libdevhelp-1-0 (<< 2.27.92-1)
 Description: Common files for devhelp and its library
  Devhelp's primary goal is to be an API documentation browser for GNOME.
  It is able to scan for .devhelp files generated automatically for

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += -V -- -c4
 
+# List any files which are not installed
+include /usr/share/cdbs/1/rules/utils.mk
+DEB_DH_INSTALL_ARGS := --list-missing
+
 X_TOOLS += misc/devhelp.vim \
 	misc/html2funcs.py \
 	misc/html2xml.py \
@@ -18,7 +22,6 @@
 
 clean::
 	rm -f debian/devhelp.emacsen-startup
-	rm -f src/dh-marshal.h
 
 binary-install/devhelp-common::
 	dh_python3 -p$(cdbs_curpkg) /usr/lib/gedit/plugins
